Last Comment Bug 687565 - Orion in JS mode doesn't highlight the 'let' keyword
: Orion in JS mode doesn't highlight the 'let' keyword
Status: RESOLVED FIXED
[sourceeditor][orion]
:
Product: Firefox
Classification: Client Software
Component: Developer Tools (show other bugs)
: unspecified
: x86_64 Linux
: -- normal (vote)
: Firefox 10
Assigned To: Nobody; OK to take it and work on it
:
: J. Ryan Stinnett [:jryans] (use ni?)
Mentors:
Depends on: 692807
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-19 11:54 PDT by :Ehsan Akhgari
Modified: 2011-11-07 07:45 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description :Ehsan Akhgari 2011-09-19 11:54:41 PDT
The same thing might also be true for new js keywords.
Comment 1 Kevin Dangoor 2011-09-21 12:18:39 PDT
Filed upstream.

https://bugs.eclipse.org/bugs/show_bug.cgi?id=358478
Comment 2 Kevin Dangoor 2011-09-22 13:45:39 PDT
This has been fixed upstream.
Comment 3 Mihai Sucan [:msucan] 2011-09-23 03:00:17 PDT
We need a new bug about updating our Orion code from upstream.

We should aim to have more of their upstream features. Also, we should look into using stable releases - their next stable release (milestone 0.3), which is scheduled for late October.
Comment 4 Mihai Sucan [:msucan] 2011-10-07 12:43:38 PDT
I have filed bug 692807 about updating our Orion code from upstream.

I am now going through the Orion/Source Editor/Scratchpad bug reports we have to triage them and compare against the latest upstream Orion code I have locally. (patience please with the bugzilla spam :) )

Thank you!
Comment 5 Mihai Sucan [:msucan] 2011-10-10 13:15:26 PDT
Confirmed. This is fixed upstream.
Comment 6 Mihai Sucan [:msucan] 2011-10-13 13:29:31 PDT
This is now fixed. Bug 692807 landed.
Comment 7 Alex Lakatos[:AlexLakatos] 2011-11-07 07:24:56 PST
This is VERIFIED on Build identifier: Mozilla/5.0 (X11; Linux i686; rv:10.0a1) Gecko/20111107 Firefox/10.0a1
Also, checked all keywords from https://developer.mozilla.org/en/JavaScript/Reference/Reserved_Words and they are highlighted. Am I missing some keywords that should be highlighted?
Comment 8 Mihai Sucan [:msucan] 2011-11-07 07:45:09 PST
(In reply to Alex Lakatos from comment #7)
> This is VERIFIED on Build identifier: Mozilla/5.0 (X11; Linux i686;
> rv:10.0a1) Gecko/20111107 Firefox/10.0a1
> Also, checked all keywords from
> https://developer.mozilla.org/en/JavaScript/Reference/Reserved_Words and
> they are highlighted. Am I missing some keywords that should be highlighted?

Hopefully not. Thank you for your testing!

Note You need to log in before you can comment on or make changes to this bug.